Skip to main content
GET
Get Member Stats

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

classroomHandle
string
required

The classroom's _id.

Query Parameters

project
string | null

If specified, include only the specified projection of returned stats; else, return all stats. Format as a comma-separated list, like creator,playtime,state.complete.

memberLimit
number<double> | null

Limit the return member number. the default value is 10, and the max value is 100

memberSkip
number<double> | null

Skip the members that doesn't need to return, for pagination

Response

200 - application/json

The members stats for the classroom.

_id
string | null
stats
ClassroomsGetMembersStatsResponseItemStats · object | null